Mailinglist Archive: opensuse-ruby (8 mails)

< Previous Next >
Re: [opensuse-ruby] ruby packaging quo vadis
On 2011-07-21 18:41:35 +0200, Pavol Rusnak wrote:
On 07/21/2011 06:38 PM, Duncan Mac-Vicar P. wrote:
What are other rpm distributions going to do about this? Is this already
discussed with them?

I am already seeing in Fedora stuff that differes from our packages (ie:
provides like rubygem(rspec) )

I'm almost sure that Fedora guys do not care about installing (and
providing rubygems for) ruby 1.8 and 1.9 in parallel. I would suggest
going the same way, but knowing that we don't have enough manpower to
maintain two different sets of packages for openSUSE and SLE I won't.

this question is like the first thing we discussed in the meeting about
the topic.

and the answer was simple "studio team wants to go with 1.9 on sles. so
our only option is to solve the problem of having both working at the
same time".

just ugprading ruby to 1.9 on sle11 sp3 is not an option.

another thing you have to keep in mind:
if we find a nice generic solution, we can apply the same solution to
python 2 and 3. perl5 and perl6 at some point. even with lua we would
need it aswell.

so while atm it seems quite a bit of effort to do all the ground work it
will pay back later with the other languages.

and i wouldnt be too sure that fedora/rhel isnt interesting in 1.9 and
1.8 in parallel. but so far i havent contacted them because we wanted to
iron out some of issues and have a proof of concept working.

darix

--
openSUSE - SUSE Linux is my linux
openSUSE is good for you
www.opensuse.org
--
To unsubscribe, e-mail: opensuse-ruby+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-ruby+help@xxxxxxxxxxxx

< Previous Next >
List Navigation